<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title>Contest</title>

    <script defer type="text/javascript" th:src="@{/scripts.js}"></script>
    <!-- Favicon-->
    <link rel="icon" type="image/x-icon" href="assets/favicon.ico"/>
    <!-- Font Awesome icons (free version)-->
    <script src="https://use.fontawesome.com/releases/v6.1.0/js/all.js" crossorigin="anonymous"></script>
    <!-- Google fonts-->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css"/>
    <link href="https://fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic" rel="stylesheet"
          type="text/css"/>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>

<body>
<!--Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/>

<div class="row justify-content-center">
    <img class="mg-fluid rounded mb-5" alt="Responsive image" width="800" height="600"
         th:src="@{${'/img/' + submission.photo.fileName}}"/>
</div>

<h2 class="text-center text-uppercase text-secondary me-auto" th:text="*{submission.title}">
    Contests</h2>
<br/>
<div class="divider-custom">
    <div class="divider-custom-line"></div>
    <div class="divider-custom-icon">
        <p class="mb-4" th:text="${submission.points} + ' Points'">Points</p>
    </div>
    <div class="divider-custom-line"></div>
</div>
<br/>
<h6 class="text-center text-secondary me-auto" th:text="*{submission.story}">
    Contests</h6>
<br/>
<hr class="my-4"/>

<div th:if="${voted}" class="text-center" data-bs-toggle="modal" data-bs-target="#addscore">
    <button type="button" class="btn btn-outline-secondary">Leave a rating</button>
    <hr class="my-4"/>
</div>
<!--                            Score-->

<!--                            Label Comments-->
<h4 class="text-secondary text-uppercase text-center mb-0"
    th:text="'Comments'">Comments</h4>
<hr class="my-4"/>

<!--                            Comment-->
<div class="mb-4" th:each="score: ${submission.getScoring()}">
    <p class="mb-4 text-center" th:text="${score.comment}">Comment</p>
    <div class="mb-4 text-center">
        <a th:href="@{/users/{id}(id=${score.user.id})}">
            <h6 class="mb-4 text-center list-inline-item" th:text="*{score.user.username}">Name</h6>
        </a>
        <!--    Update Score-->
        <a th:href="@{/score/{id}/update(id=${score.id})}">
            <button th:if="${currentUser.username.equals(score.user.username)}" class="btn btn-cancel list-inline-item"
                    type="button">
                <i class="fas fa-pen-alt"></i>
            </button>
        </a>
        <div>
            <hr class="my-4"/>
        </div>
    </div>
</div>


<div class="portfolio-modal modal fade" id="addscore" tabindex="-1" aria-labelledby="portfolioModal1"
     aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header border-0">
                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body text-center pb-5">
                <div class="container">
                    <div class="row justify-content-center">
                        <div class="col-lg-8">
                            <!-- Portfolio Modal - Title-->
                            <form class="mb-4" action="#"
                                  th:action="@{/score/{id}/new(id= ${submissionId})}"
                                  th:object="${submissionScoring}" method="post">


                                <div class="form-floating mb-3">
                                </div>
                                <div class="form-group">
                                    <label th:for="text">Add Description</label>
                                    <textarea class="form-control story-area" th:field="*{comment}" maxlength="8000"
                                              id="text"
                                              name="text"
                                              rows="5"> </textarea>
                                    <span style="background-color: rgba(255,44,0,0)"
                                          class="pull-right label label-default" id="count_message">0/8000</span>
                                </div>

                                <label th:for="text">Set Result</label>
                                <select th:field="*{rating_id}" class="form-select"
                                        aria-label="Default select example">
                                    <option th:each="rating : ${ratings}"
                                            th:value="${rating.id}"
                                            th:text="${rating.score}">
                                    </option>
                                </select>

                                <br/>
                                <button type="submit" class="btn btn-secondary" data-bs-dismiss="modal">
                                    <i class="fas fa-check fa-fw"></i>
                                    Set Result
                                </button>
                                <button class="btn btn-cancel" data-bs-dismiss="modal">
                                    <i class="fas fa-xmark fa-fw"></i>
                                    Cancel
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<!-- Core theme JS-->

<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *-->
<!-- * *                               SB Forms JS                               * *-->
<!-- * * Activate your form at https://startbootstrap.com/solution/contact-forms * *-->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *-->
<script src="https://cdn.startbootstrap.com/sb-forms-latest.js"></script>

</body>
</html>